## xr-hardware 0.4.0

=== Makefile ===
#!/usr/bin/env make -f
# Copyright 2020 Collabora, Ltd
# SPDX-License-Identifier: BSL-1.0
# Author: Ryan Pavlik <ryan.pavlik@collabora.com>

RULES_FILE := 70-xrhardware.rules
HWDB_FILE := 70-xrhardware.hwdb
HWDB_RULES_FILE := 70-xrhardware-hwdb.rules

INSTALL ?= install

PYTHON ?= python3

all: $(RULES_FILE) $(HWDB_FILE) $(HWDB_RULES_FILE)
.PHONY: all

test:
	$(PYTHON) test-db.py
	$(PYTHON) -m flake8 .
.PHONY: test

$(RULES_FILE): make-udev-rules.py xrhardware/db.py xrhardware/generate.py
	$(PYTHON) $< > $@
$(HWDB_FILE): make-hwdb-file.py xrhardware/db.py xrhardware/generate.py
	$(PYTHON) $< > $@
$(HWDB_RULES_FILE): make-hwdb-rules-file.py xrhardware/generate.py
	$(PYTHON) $< > $@

clean:
	-rm -f $(RULES_FILE) $(HWDB_FILE) $(HWDB_RULES_FILE)
.PHONY: clean

# Currently does nothing, since the generated files get committed.
clean_package:
.PHONY: clean_package

RULES_DIR ?= /etc/udev/rules.d

install: $(RULES_FILE)
	$(INSTALL) -d $(DESTDIR)$(RULES_DIR)/
	$(INSTALL) -m 644 -D $(RULES_FILE) $(DESTDIR)$(RULES_DIR)/
.PHONY: install

install_package: $(RULES_FILE)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/lib/udev/rules.d
	$(INSTALL) -m 644 -D $(RULES_FILE) $(DESTDIR)$(PREFIX)/lib/udev/rules.d/
.PHONY: install_package

## xr-hardware 0.2.1

=== debian/changelog ===
xr-hardware (0.2.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 13 May 2020 14:39:58 +0800

xr-hardware (0.2.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 17 Apr 2020 09:46:07 +0800

xr-hardware (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #955424)

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Wed, 08 Apr 2020 10:12:12 -0500

=== debian/control ===
Source: xr-hardware
Maintainer: Ryan Pavlik <ryan@ryanpavlik.com>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               python3-attr,
               python3-flake8
Standards-Version: 4.5.0
Homepage: https://gitlab.freedesktop.org/monado/utilities/xr-hardware
Rules-Requires-Root: no

Package: xr-hardware
Architecture: all
Depends: ${misc:Depends}
Description: udev rules files for normal user access to XR input devices
 This package contains a udev rules file to permit access to virtual
 reality (VR) and augmented reality (AR), collectively "XR",
 interaction devices as a normal user.

## xr-hardware 0.3.0

=== debian/changelog ===
xr-hardware (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
    - Adds rules for Vis3r NxtVR, Windows MR controllers, Oculus Rift S,
      Pimax 4K
    - Adds additional rules for HTC Vive Pro, NOLO CV1, Valve Index.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Wed, 02 Dec 2020 10:32:50 -0600

## xr-hardware 0.4.0

=== debian/changelog ===
xr-hardware (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
    - Adds rules for HP Reverb G1 & G2.
  * Update copyright
  * Bump Standards-Version to 4.5.1 - no change required.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Wed, 10 Feb 2021 16:37:00 -0600

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
 Build-Depends: debhelper-compat (= 12),
                python3-attr,
                python3-flake8
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://gitlab.freedesktop.org/monado/utilities/xr-hardware
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/monado-team/xr-hardware.git
+Vcs-Browser: https://salsa.debian.org/monado-team/xr-hardware
 
 Package: xr-hardware
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: udev rules files for normal user access to XR input devices
  This package contains a udev rules file to permit access to virtual
  reality (VR) and augmented reality (AR), collectively "XR",

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2020 Collabora, Ltd
# SPDX-License-Identifier: BSL-1.0
# Author: Ryan Pavlik <ryan.pavlik@collabora.com>

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

%:
	dh $@

# Regular clean deletes a committed generated file.
override_dh_auto_clean:
	$(MAKE) clean_package
	-rm -rf $(CURDIR)/xrhardware/__pycache__

override_dh_auto_install:
	# skip auto install, just install the named file to avoid needing root.

## xr-hardware 1.0.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/env make -f
-# Copyright 2020 Collabora, Ltd
+# Copyright 2020-2021 Collabora, Ltd
 # SPDX-License-Identifier: BSL-1.0
 # Author: Ryan Pavlik <ryan.pavlik@collabora.com>
 
@@ -16,7 +16,7 @@
 
 test:
 	$(PYTHON) test-db.py
-	$(PYTHON) -m flake8 .
+	$(PYTHON) -m flake8 *.py xrhardware/*.py
 .PHONY: test
 
 $(RULES_FILE): make-udev-rules.py xrhardware/db.py xrhardware/generate.py

=== debian/changelog ===
xr-hardware (1.0.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 02 Feb 2022 09:11:17 -0500

xr-hardware (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0, adding support for Oculus cameras.
  * d/control:
    - Update Standards-Version to 4.6.0, no changes required
    - Remove Build-Depends: python3-attr, no longer needed
  * Update copyright data

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Mon, 25 Oct 2021 17:20:14 -0500

=== debian/control ===
Source: xr-hardware
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Ryan Pavlik <ryan@ryanpavlik.com>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               python3 (>= 3.7),
               python3-flake8
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/monado-team/xr-hardware
Vcs-Git: https://salsa.debian.org/monado-team/xr-hardware.git
Homepage: https://gitlab.freedesktop.org/monado/utilities/xr-hardware
Rules-Requires-Root: no

Package: xr-hardware
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: udev rules files for normal user access to XR input devices
 This package contains a udev rules file to permit access to virtual
 reality (VR) and augmented reality (AR), collectively "XR",
 interaction devices as a normal user.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 %:
 	dh $@
 
+#override_dh_strip:
+#	dh_strip --no-automatic-dbgsym
+
 # Regular clean deletes a committed generated file.
 override_dh_auto_clean:
 	$(MAKE) clean_package

## xr-hardware 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/env make -f
-# Copyright 2020-2021 Collabora, Ltd
+# Copyright 2020-2022 Collabora, Ltd
 # SPDX-License-Identifier: BSL-1.0
 # Author: Ryan Pavlik <ryan.pavlik@collabora.com>
 
@@ -16,8 +16,11 @@
 
 test:
 	$(PYTHON) test-db.py
+
+lint: test
 	$(PYTHON) -m flake8 *.py xrhardware/*.py
-.PHONY: test
+	black .
+.PHONY: lint
 
 $(RULES_FILE): make-udev-rules.py xrhardware/db.py xrhardware/generate.py
 	$(PYTHON) $< > $@

=== debian/changelog ===
xr-hardware (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    - Adds rules for NOLO CV1 PRO and additional WinMR headsets.
    - No longer run flake8 on source in tests. Closes: #1020088
  * Bump Standards-Version to 4.6.1 - no change required.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Mon, 19 Sep 2022 13:02:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xr-hardware
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Ryan Pavlik <ryan@ryanpavlik.com>
+Maintainer: Ryan Pavlik <ryan@ryanpavlik.com>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                python3 (>= 3.7),
                python3-flake8
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/monado-team/xr-hardware
 Vcs-Git: https://salsa.debian.org/monado-team/xr-hardware.git
 Homepage: https://gitlab.freedesktop.org/monado/utilities/xr-hardware

## xr-hardware 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/env make -f
 # Copyright 2020-2022 Collabora, Ltd
 # SPDX-License-Identifier: BSL-1.0
-# Author: Ryan Pavlik <ryan.pavlik@collabora.com>
+#
+# Original Author: Rylie Pavlik <rylie.pavlik@collabora.com>
 
 RULES_FILE := 70-xrhardware.rules
 HWDB_FILE := 70-xrhardware.hwdb

=== debian/changelog ===
xr-hardware (1.1.1-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Drop myself from uploaders.

  [ Rylie Pavlik ]
  * New upstream version 1.1.1
    - Adds rules for Xreal devices, PSVR2/Sense devices,
      and additional WinMR headsets.
  * d/copyright: Update
  * d/control: Update standards version to 4.6.2 (no changes).

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files. Closes: #1058819
  * d/control: Update debhelper compat to 13.

 -- Rylie Pavlik <rylie@ryliepavlik.com>  Tue, 12 Mar 2024 15:45:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xr-hardware
-Maintainer: Ryan Pavlik <ryan@ryanpavlik.com>
-Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
+Maintainer: Rylie Pavlik <rylie@ryliepavlik.com>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               pkgconf,
                python3 (>= 3.7),
-               python3-flake8
-Standards-Version: 4.6.1
+               python3-flake8,
+               systemd-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/monado-team/xr-hardware
 Vcs-Git: https://salsa.debian.org/monado-team/xr-hardware.git
 Homepage: https://gitlab.freedesktop.org/monado/utilities/xr-hardware

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,16 @@
 
 # Copyright 2020 Collabora, Ltd
 # SPDX-License-Identifier: BSL-1.0
-# Author: Ryan Pavlik <ryan.pavlik@collabora.com>
+# Author: Rylie Pavlik <rylie.pavlik@collabora.com>
 
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 # export DH_VERBOSE = 1
 
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
+
 %:
 	dh $@
-
-#override_dh_strip:
-#	dh_strip --no-automatic-dbgsym
 
 # Regular clean deletes a committed generated file.
 override_dh_auto_clean:

=== debian/tests/control ===
Test-Command: python3 test-db.py
Depends: python3-attr

=== debian/watch ===
version=4

opts=filenamemangle=s:.*\/archive\/(\d\S+)\/xr-hardware.*\.tar\.gz:xr-hardware-$1\.tar\.gz:g \
  https://gitlab.freedesktop.org/monado/utilities/xr-hardware/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
